summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKen Kellner <ken@kenkellner.com>2018-01-25 22:07:43 (GMT)
committerKen Kellner <ken@kenkellner.com>2018-01-25 22:07:43 (GMT)
commitebd6e63cf369d0b4c6b6d5d55bd4cbf39c0f6c0a (patch)
treebd50c4900cfd95f972a7998c222c03ce271aeca0
New presentation and update makefile
-rw-r--r--.gitignore15
-rwxr-xr-xcollect-images.sh10
-rw-r--r--common.tex39
-rw-r--r--content.md382
-rwxr-xr-xgen_sources.sh88
-rw-r--r--images.txt12
-rw-r--r--makefile30
-rw-r--r--notes.tex35
-rw-r--r--talk.tex46
9 files changed, 657 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..9b74a03
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,15 @@
+*.pdf
+*.aux
+*.log
+*.nav
+*.snm
+*.vrb
+*.out
+*.toc
+*.bbl
+*.blg
+*.bst
+content.tex
+datasources.R
+images/*
+figures*
diff --git a/collect-images.sh b/collect-images.sh
new file mode 100755
index 0000000..3ab66d3
--- /dev/null
+++ b/collect-images.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+while read location path filename ;
+do
+ if [ "$location" == "remote" ]; then
+ wget -nc $path -O $filename
+ else
+ cp -n $HOME/$path ./$filename
+ fi
+done < images.txt
diff --git a/common.tex b/common.tex
new file mode 100644
index 0000000..19714c9
--- /dev/null
+++ b/common.tex
@@ -0,0 +1,39 @@
+\title{Wildlife in managed forests: \\ demographic patterns and trophic interactions}
+\date{31 January 2018}
+\author{\textbf{Ken Kellner}}
+%\institute{Forestry and Natural Resources, Purdue University}
+%\setbeamertemplate{frame footer}{Kellner - Demo Talk}
+
+\usepackage{listings}
+\usepackage{animate}
+\graphicspath{images/}
+
+\definecolor{firebrick}{HTML}{FF3030}
+\definecolor{brickred}{HTML}{CB4154}
+
+\usepackage[comma,sort]{natbib}
+\bibliographystyle{ecology}
+\renewcommand{\bibsection}{}
+
+\lstset{
+ language=R, % the language of the code
+ basicstyle=\scriptsize\ttfamily, % the size of the fonts that are used for the code
+ %numbers=left, % where to put the line-numbers
+ %numberstyle=\tiny\color{Blue}, % the style that is used for the line-numbers
+ stepnumber=1, % the step between two line-numbers. If it is 1, each line
+ % will be numbered
+ numbersep=5pt, % how far the line-numbers are from the code
+ backgroundcolor=\color{white}, % choose the background color. You must add \usepackage{color}
+ showspaces=false, % show spaces adding particular underscores
+ showstringspaces=false, % underline spaces within strings
+ showtabs=false, % show tabs within strings adding particular underscores
+ frame=single, % adds a frame around the code
+ rulecolor=\color{black}, % if not set, the frame-color may be changed on line-breaks within not-black text (e.g. commens (green here))
+ tabsize=2, % sets default tabsize to 2 spaces
+ captionpos=b, % sets the caption-position to bottom
+ breaklines=true, % sets automatic line breaking
+ breakatwhitespace=false, % sets if automatic breaks should only happen at whitespace
+ keywordstyle=\bfseries\color{black}, % keyword style
+ commentstyle=\color{gray}, % comment style
+ stringstyle=\color{brickred} % string literal style
+}
diff --git a/content.md b/content.md
new file mode 100644
index 0000000..34d9f1f
--- /dev/null
+++ b/content.md
@@ -0,0 +1,382 @@
+
+# Forest Management
+
+## What is Forest Management?
+
+Changing structure or age of forest, using:
+
+\bigskip
+
+\colbegin
+\column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{timber_harvest.jpg}
+
+**Timber harvesting**
+
+\p \column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{fire.jpg}
+
+**Controlled burns**
+
+\colend
+
+## Effects on Forest Ecosystem
+
+\centerbegin
+\includegraphics[width=0.8\paperwidth]{hee_patch_spring2011.jpg}
+\centerend
+
+\colbegin
+\column{.35\textwidth}
+
+**Abiotic**
+
+* Light
+* Moisture
+* Temperature
+
+\p \column{.45\textwidth}
+
+**Biotic**
+
+* Understory vegetation
+* Food availability
+* Insect diversity
+
+\colend
+
+## Effects on Forest Ecosystem
+
+\centering
+\includegraphics[width=0.35\paperwidth]{clearcut.png}
+\raisebox{0.5\height}{\includegraphics[width=0.10\paperwidth]{rightarrow.png}}
+\includegraphics[width=0.35\paperwidth]{singletree.png}
+
+## Harvest Types
+
+\colbegin
+\column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{clearcut_diagram.png}
+
+\bigskip
+
+\includegraphics[width=0.40\paperwidth]{clearcut.png}
+
+**Clearcuts**
+
+\p \column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{patchcut_diagram.png}
+
+\bigskip
+
+\includegraphics[width=0.40\paperwidth]{patch.png}
+
+**Patch Cuts**
+\colend
+
+## Harvest Types
+
+\colbegin
+\column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{shelterwood_diagram.png}
+
+\bigskip
+
+\includegraphics[width=0.40\paperwidth]{shelterwood.png}
+
+**Shelterwood Harvests**
+
+\p \column{.5\paperwidth}
+\centering
+
+\includegraphics[width=0.40\paperwidth]{singletree_diagram.png}
+
+\bigskip
+
+\includegraphics[width=0.40\paperwidth]{singletree.png}
+
+**Single-tree Selection**
+
+\colend
+
+## Objectives
+
+How does timber harvesting affect:
+
+\bigskip
+
+\colbegin
+\column{.4\textwidth}
+\centerbegin
+
+**Wildlife demography?**
+
+\bigskip
+\includegraphics[height=1in]{blackandwhite_warbler.jpg}
+\centerend
+
+\p \column{.4\textwidth}
+\centerbegin
+
+**Trophic interactions?**
+
+\bigskip
+\includegraphics[height=1in]{each_dispersal.jpg}
+\centerend
+
+\colend
+
+## Hardwood Ecosystem Experiment (HEE)
+
+\colbegin
+\column{.5\textwidth}
+
+**Key Features**
+
+1. Landscape-scale
+2. Multiple harvest treatments
+3. Pre- and post-harvest data
+
+\column{.5\textwidth}
+\centering
+\includegraphics[height=2.5in]{hee_area_transparent.pdf}
+\colend
+
+## Before-After Control-Impact Design
+\centering
+\includegraphics[height=3in]{baci.pdf}
+
+# Breeding Birds
+
+## Breeding Birds
+\colbegin
+\column{.5\textwidth}
+**Habitat Loss** $\rightarrow$ **Population Declines**
+
+* Development
+* Fragmentation
+* Maturation of existing forest
+
+\column{.4\paperwidth}
+\centering
+\includegraphics[height=2.1in]{cerulean_warbler.jpg}
+
+\colend
+
+## Importance of Early-Successional Habitat
+\centerbegin
+\includegraphics[width=0.7\paperwidth]{clearcut_long.png}
+\centerend
+
+* **75%** of shrubland species declining
+* **50%** of species using young forest habitat
+
+\p \bigskip
+
+**How does harvest affect the bird community?**
+
+## Breeding Bird Sampling
+
+\centering
+\includegraphics[height=2.7in]{hee_cores_transparent.pdf}
+
+## Bird Response Summary
+\ftline{\cite{Kellner2016d}}
+\centering
+\includegraphics[height=2.7in]{hl_resp.pdf}
+
+## Species of Special Concern
+
+\colbegin
+\column{0.5\paperwidth}
+\centering
+\includegraphics[width=0.15\paperwidth]{blackandwhite_warbler.jpg}
+
+Black-and-white Warbler
+
+\bigskip
+\includegraphics[width=0.15\paperwidth]{cerulean_warbler.jpg}
+
+Cerulean Warbler
+
+\column{0.5\paperwidth}
+\centering
+\includegraphics[width=0.2\paperwidth]{hooded_warbler.jpg}
+
+Hooded Warbler
+
+\bigskip
+\includegraphics[width=0.2\paperwidth]{worm_eating_warbler.jpg}
+
+Worm-eating Warbler
+\colend
+
+## Species of Special Concern
+\ftline{\cite{Kellner2016d}}
+\centering
+\includegraphics[height=2.7in]{focal_hl.pdf}
+
+## Bird Species Richness
+\ftline{\cite{Kellner2016d}}
+\centering
+\includegraphics[height=2.9in]{hl_rich.pdf}
+
+## Habitat Factors
+\p \ftline{Ruhl et al. \textit{in prep}}
+\centering
+\includegraphics[height=2.7in]{clearcut_fruit.pdf}
+
+## Breeding Bird Conclusions
+
+**Community**
+
+* Habitat diversity $\rightarrow$ species diversity
+* Minimal impact of small (single-tree) canopy openings
+
+\p \bigskip
+
+**Individual Species**
+
+* Consistent responses of shrubland specialists to harvest
+* Mixed effects on "mature forest" species
+* Effects moderating ~8 years post-harvest
+
+# Acorn Dispersal
+
+## Small Mammals as Dispersal Agents
+
+\colbegin
+\centering
+\column{0.2\paperwidth}
+
+\includegraphics[width=0.2\paperwidth]{wfmo.jpg}
+
+\column{0.2\paperwidth}
+
+\includegraphics[width=0.2\paperwidth]{each.jpg}
+
+\column{0.2\paperwidth}
+
+\includegraphics[width=0.2\paperwidth]{grsq.jpg}
+
+\colend
+
+* Acorns are a crucial food resource
+* Make small caches (scatterhoards)
+* Caches *may* promote germination
+
+\p \bigskip
+
+Considered **conditional mutualists** with oak
+
+## Seed Dispersal Effectiveness
+
+**Small mammals are effective dispersal agents when:**
+
+1. Acorns are removed from under the parent tree
+2. Removed acorns escape consumption
+
+\p \Large
+
+$$SDE = P(removal) \times P(survival | removal)$$
+
+## Shelterwood Effects on SDE
+
+Do changes in habitat affect foraging behavior, and thus SDE?
+
+\p \ftline{\cite{Kellner2014}}
+
+\centering
+\includegraphics[height=2.2in]{smam_microhab_subset.pdf}
+
+## Measuring Acorn Fate
+
+\centering
+\includegraphics[height=2.2in]{dispersal_methods.png}
+
+## Seed Dispersal Effectiveness
+\ftline{\cite{Kellner2016}}
+\centering
+\includegraphics[height=2.7in]{sde.pdf}
+
+## Impact on Oak Regeneration
+
+\colbegin
+\column{.6\textwidth}
+
+SDE for oak is lower in shelterwood harvests.
+
+\bigskip
+
+Does this affect oak regeneration success?
+
+\column{.3\paperwidth}
+
+\includegraphics[height=2.2in]{oak_seedling.png}
+
+\colend
+
+## Building a Simulation Model
+\ftline{\cite{Kellner2017b}}
+\centering
+\includegraphics[height=2.3in]{soel_diagram.png}
+
+## Visualizing the Simulation
+\centering
+\animategraphics[loop,autoplay,height=2.4in]{4}{soel/frame-}{0}{33}
+
+## Simulation Results
+\ftline{\cite{Kellner2017b}}
+\centering
+\includegraphics[height=2.6in]{soel_predation.pdf}
+
+## Dispersal Conclusions
+
+**Shelterwood harvest affects acorn dispersal**
+
+* Acorn Removal higher, survival lower
+* Increased understory cover, reduced overstory cover
+* Reduced predation risk $\rightarrow$ greater foraging efficiency?
+
+\p
+
+**Changes in dispersal don't ultimately impact regeneration**
+
+* Reduced SDE reduces germination and seedlings
+* Other filters more important for saplings
+* Increased light > negative effects on dispersal
+
+## Overall Conclusions
+
+1. Timber harvest has both numeric and behavioral effects on wildlife
+
+\p \bigskip
+
+2. Given (1), indirect impacts on forest management goals are possible
+
+## Acknowledgments
+
+\centerbegin
+\includegraphics[width=0.5\paperwidth]{hee_logo.png}
+\centerend
+
+* Collaborators: Rob Swihart, Patrick Ruhl, Barny Dunning, Nate Lichti
+* 40+ technicians
+* HEE coordinators and executive committee
+* HEE partners: Indiana DNR, Purdue, Ball State, ISU, Indiana, Drake, TNC
+
+## Questions
+
+\LARGE
+
+kkellner@purdue.edu
diff --git a/gen_sources.sh b/gen_sources.sh
new file mode 100755
index 0000000..7018d9d
--- /dev/null
+++ b/gen_sources.sh
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+#Save bibliography location
+if ! [ -s bibsources.tex ]
+then
+ echo "Specify path to bibtex file"
+ read path
+ echo "\\bibliography{$path}" > bibsources.tex
+fi
+
+#Make image directory if needed
+if ! [ -d images ]
+then
+ mkdir images
+fi
+
+#Save image directory location if necessary (relative!)
+if ! [ -s imagesources.tex ]
+then
+ echo "Specify path to source photos"
+ read imgdir2
+ echo "\\graphicspath{{$imgdir2/}{images/}}" > imagesources.tex
+fi
+
+#Save data source locations for R
+if ! [ -s datasources.R ]
+then
+ echo "Specify path to mammal microsite data"
+ read path
+ echo "micromn <- read.csv(\"$path\",header=T)" > datasources.R
+ echo "Specify path to bird abundance model"
+ read path
+ echo "load(\"$path\")" >> datasources.R
+ echo "Specify path to SCTA abundance data"
+ read path
+ echo "birds <- read.csv(\"$path\",header=T)" >> datasources.R
+ echo "Specify path to Rubus data"
+ read path
+ echo "veg <- read.csv(\"$path\",header=T)" >> datasources.R
+ echo "Specify path to acorn dispersal model output"
+ read path
+ echo "load(\"$path\")" >> datasources.R
+ echo "Specify path to SOEL predation output"
+ read path
+ echo "load(\"$path\")" >> datasources.R
+fi
+
+#List of images to include
+cd images
+wget https://upload.wikimedia.org/wikipedia/commons/9/9f/Controlled_burn_in_northern_Portugal.jpg -O fire.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/5/54/Mniotilta_varia_3.jpg -O blackandwhite_warbler.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/f/f3/Dendroica-cerulea-002.jpg -O cerulean_warbler.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/b/bb/Timber_Harvest.jpg -O timber_harvest.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/b/b5/Hooded_Warbler_%28Setophaga_citrina%29.jpg -O hooded_warbler.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/7/71/Worm-eating_Warbler.jpg -O worm_eating_warbler.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/2/22/Rubus_fructicosus_owoce_646.jpg -O rubus.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/e/e6/Tamias_striatus_juilllet_2011-CN.jpg -O each.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/thumb/1/19/Deer_Mouse_%28Peromyscus_maniculatus%29_%289310532204%29.jpg/1024px-Deer_Mouse_%28Peromyscus_maniculatus%29_%289310532204%29.jpg -O wfmo.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Grey_squirrel_%28Sciurus_carolinensis%29_02.jpg/1280px-Grey_squirrel_%28Sciurus_carolinensis%29_02.jpg -O grsq.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/f/f7/Tamia_striatus_eating.jpg -O each_dispersal.jpg
+
+convert rubus.jpg rubus.png
+rm rubus.jpg
+wget https://upload.wikimedia.org/wikipedia/commons/1/1b/Scarlet_Tanager_-_Texas-_USA_H8O9998_%2822882467759%29.jpg -O scarlet_tanager.jpg
+convert scarlet_tanager.jpg scarlet_tanager.png
+rm scarlet_tanager.jpg
+
+cd ..
+
+#Hardcoded bc windows...
+convert $imgdir2/hee_shelterwood_spring2011.png -crop 25%x100%+0+0 images/shelterwood.png
+convert $imgdir2/hee_clearcut_spring2009.png -crop 25%x100%+1000+0 images/clearcut.png
+convert $imgdir2/hee_singletree_spring2011.jpg -crop 25%x100%+1000+0 images/singletree.png
+convert $imgdir2/hee_patch_spring2011.jpg -crop 25%x100%+0+0 images/patch.png
+convert $imgdir2/hee_clearcut_spring2011.png -crop 70%x100%+500+0 images/clearcut_long.png
+convert -density 200 -background transparent $imgdir2/dispersal_methods.svg images/dispersal_methods.png
+convert -density 200 -background transparent $imgdir2/clearcut_diagram.svg images/clearcut_diagram.png
+convert -density 200 -background transparent $imgdir2/patchcut_diagram.svg images/patchcut_diagram.png
+convert -density 200 -background transparent $imgdir2/shelterwood_diagram.svg images/shelterwood_diagram.png
+convert -density 200 -background transparent $imgdir2/singletree_diagram.svg images/singletree_diagram.png
+convert -density 200 -background transparent $imgdir2/soel_diagram.svg images/soel_diagram.png
+
+if ! [ -d images/soel]
+then
+ mkdir images/soel
+fi
+
+gifsicle --unoptimize $imgdir2/animation_contextualforest.gif | convert - images/soel/frame-%d.png
diff --git a/images.txt b/images.txt
new file mode 100644
index 0000000..94cfddf
--- /dev/null
+++ b/images.txt
@@ -0,0 +1,12 @@
+remote https://upload.wikimedia.org/wikipedia/commons/9/9f/Controlled_burn_in_northern_Portugal.jpg fire.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/5/54/Mniotilta_varia_3.jpg blackandwhite_warbler.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/f/f3/Dendroica-cerulea-002.jpg cerulean_warbler.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/b/bb/Timber_Harvest.jpg timber_harvest.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/b/b5/Hooded_Warbler_%28Setophaga_citrina%29.jpg hooded_warbler.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/7/71/Worm-eating_Warbler.jpg worm_eating_warbler.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/2/22/Rubus_fructicosus_owoce_646.jpg rubus.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/e/e6/Tamias_striatus_juilllet_2011-CN.jpg each.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/thumb/1/19/Deer_Mouse_%28Peromyscus_maniculatus%29_%289310532204%29.jpg/1024px-Deer_Mouse_%28Peromyscus_maniculatus%29_%289310532204%29.jpg wfmo.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Grey_squirrel_%28Sciurus_carolinensis%29_02.jpg/1280px-Grey_squirrel_%28Sciurus_carolinensis%29_02.jpg grsq.jpg
+remote https://upload.wikimedia.org/wikipedia/commons/f/f7/Tamia_striatus_eating.jpg each_dispersal.jpg
+local images/research/hee_logo.png hee_logo.png
diff --git a/makefile b/makefile
new file mode 100644
index 0000000..05ac0fd
--- /dev/null
+++ b/makefile
@@ -0,0 +1,30 @@
+BIBSTYLE = https://schneider.ncifcrf.gov/ftp/ecology.bst
+
+talk-fnr-2018.pdf: content.md talk.tex common.tex references.bib style.bst images figures
+ pandoc content.md --slide-level 2 --listings -t beamer -o content.tex
+ xelatex talk.tex
+ bibtex talk
+ xelatex talk.tex
+ pdftk talk.pdf cat 1-36 output talk1.pdf
+ pdftk talk.pdf cat 37-end output talk2.pdf
+ gs -sDEVICE=pdfwrite -dMaxSubsetPct=100 -dPDFSETTINGS=/prepress -dEmbedAllFonts=true -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -sOutputFile="talk1_small.pdf" -dNOPAUSE -dBATCH "talk1.pdf"
+ pdftk talk1_small.pdf talk2.pdf cat output talk-fnr-2018.pdf
+ rm talk.pdf talk1_small.pdf talk1.pdf talk2.pdf
+ xdg-open talk-fnr-2018.pdf
+
+references.bib: content.md
+ pubs extract-tex content.md references.bib
+
+style.bst:
+ wget -nc $(BIBSTYLE) -O style.bst
+
+images: collect-images.sh image-sources.txt
+ @mkdir -p images
+ bash collect-images.sh
+
+figures: figures.R
+ @mkdir -p figures
+ Rscript figures.R
+
+clean:
+ rm -fv *.aux *.log *.toc *.blg *.bbl *.synctex.gz *.out *.snm *.nav *.vrb content.tex *.bib
diff --git a/notes.tex b/notes.tex
new file mode 100644
index 0000000..c412593
--- /dev/null
+++ b/notes.tex
@@ -0,0 +1,35 @@
+\documentclass[
+11pt, % Main document font size
+a4paper, % Paper type, use 'letterpaper' for US Letter paper
+oneside]{article}
+
+\usepackage{graphicx}
+\usepackage[margin=1in]{geometry}
+\usepackage[dvipsnames]{xcolor}
+\usepackage{multicol}
+
+\def\institute#1{}
+\def\setbeamertemplate#1#2{}
+
+\include{common}
+
+%Stuff to make pandoc happy
+\def\tightlist{}
+\def\texorpdfstring#1{}
+\newcommand{\colbegin}{}
+\newcommand{\colend}{}
+\def\column#1{}
+\def\ftline#1{}
+%\def\includegraphics[#1]#2{#2}
+\newcommand{\p}{}
+\def\centering{}
+
+\begin{document}
+
+\maketitle
+
+\input{content}
+
+\include{bibsources}
+
+\end{document}
diff --git a/talk.tex b/talk.tex
new file mode 100644
index 0000000..d1a0218
--- /dev/null
+++ b/talk.tex
@@ -0,0 +1,46 @@
+\documentclass[aspectratio=43]{beamer}
+\usetheme{metropolis} % Use metropolis theme
+
+\include{common}
+
+%Stuff to make pandoc happy
+\def\tightlist{}
+\newcommand{\colbegin}{\begin{columns}}
+\newcommand{\colend}{\end{columns}}
+
+\newcommand{\p}{\pause}
+
+\newcommand{\centerbegin}{\begin{center}}
+\newcommand{\centerend}{\end{center}}
+
+\usepackage{tikz}
+\newcommand{\ftline}[1]{
+ \begin{tikzpicture}[remember picture,overlay]
+ \small
+ \node[yshift=2ex,anchor=south west] at (current page.south west) {\usebeamerfont{author in head/foot}\hspace{2ex}#1};
+ \end{tikzpicture}
+}
+
+\usepackage{textpos}
+
+%\setbeamercolor{progress bar}{fg=firebrick}
+
+\begin{document}
+
+\begin{frame}
+\maketitle
+
+\begin{textblock*}{1cm}(7.3cm,-4.8cm)
+ \includegraphics[height=1.5cm]{hee_logo.png}
+\end{textblock*}
+
+\end{frame}
+
+\include{content}
+
+\begin{frame}{References}
+\footnotesize
+\bibliography{references}
+\end{frame}
+
+\end{document}